# Uses of Enum Class
java.awt.Taskbar.State

Packages that use Taskbar.State
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Taskbar.State in java.awt

Subclasses with type arguments of type Taskbar.State in java.awt
Modifier and Type
Class
Description
`static enum`
`Taskbar.State`
Kinds of available window progress states.
Methods in java.awt that return Taskbar.State
Modifier and Type
Method
Description
`static Taskbar.State`
Taskbar.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Taskbar.State[]`
Taskbar.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt with parameters of type Taskbar.State
Modifier and Type
Method
Description
`void`
Taskbar.`setWindowProgressState(Window w, Taskbar.State state)`
Sets a progress state for a specified window.